namespace OSMServer;

public class Node : Coordinates
{
    private HashSet<Connection> connections = new HashSet<Connection>();

    public Node(float lat, float lon) : base(lat, lon)
    {
        
    }

    public void AddConnection(Connection connection)
    {
        this.connections.Add(connection);
    }

    public Connection[] GetConnections()
    {
        return this.connections.ToArray();
    }
}